using EDAViewer.Models;
using Microsoft.Extensions.Logging;
using Shared;
using System;
using System.Collections.Generic;
using System.Net;

namespace EDAViewer.Singleton
{

    public interface IBackground : Models.IBackground, IDisposable
    {

        void ClearMessage();
        void SendStatusOk();
        string Message { get; }
        bool IsPrimaryInstance();
        void SetIsPrimaryInstance();
        void ClearIsPrimaryInstance();
        string WorkingDirectory { get; }
        List<Exception> Exceptions { get; }
        void Update(ILogger<object> logger);
        string GetCountDirectory(string verb);
        void LogPathCleanUpByWeek(string server, bool isEDA = false, bool isNA = false);

    }

}